"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLatexFromNode = exports.writeDocx = exports.createDocFromState = exports.createShortId = void 0;
const docx_1 = require("docx");
function createShortId() {
    return Math.random().toString(36).substr(2, 9);
}
exports.createShortId = createShortId;
function createDocFromState(state) {
    const doc = new docx_1.Document({
        numbering: {
            config: state.numbering,
        },
        sections: [
            {
                properties: {
                    type: docx_1.SectionType.CONTINUOUS,
                },
                children: state.children,
            },
        ],
    });
    return doc;
}
exports.createDocFromState = createDocFromState;
function writeDocx(doc, write) {
    docx_1.Packer.toBuffer(doc).then(write);
}
exports.writeDocx = writeDocx;
function getLatexFromNode(node) {
    let math = '';
    node.forEach((child) => {
        if (child.isText)
            math += child.text;
        // TODO: improve this as we may have other things in the future
    });
    return math;
}
exports.getLatexFromNode = getLatexFromNode;
//# sourceMappingURL=utils.js.map